import { type Base, genBase } from './_base'
import type { Unit } from './unit'
import type { Subspecialist } from "./subspecialist"

export interface Specialist extends Base {
  code: string
  name: string
  unit?: Unit | null
  subspecialists?: Subspecialist[]
}

export function genSpecialist(): Specialist {
  return {
    ...genBase(),
    code: '',
    name: '',
    unit_id: 0,
  }
}
